QGIS Application - Bug report #9880
Wrong feature order after commiting changes
2014-03-26 01:27 AM - Piotr Pociask

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 18401
Description

Steps to reproduce:

1. Start editing vector layer.
2. Add two or more new features.
3. Stop editing and save changes.

New features are added at the end of layer but in reversed order of digitalization. This is present in QGIS 2.0, 2.2. and master (Win7 and
Mint 15). Features should be saved in order of addition.
This is also present if features are added from Python addFeature method of QgsVectorLayer.

History

#1 - 2014-03-26 01:45 AM - Matthias Kuhn

- Status changed from Open to Feedback

By the term "order", are you referring to rendering order?

In general:

There is no implicitly defined order of features on a layer. If you need a specific order (for any reason), you have to define an attribute for it.

#2 - 2014-06-21 02:54 AM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Feedback to Closed

closing for the lack of feedback - looks like a non-issue anyway.

#3 - 2014-07-09 12:33 AM - Jiirgen Fischer

See also http://lists.osgeo.org/pipermail/qgis-developer/2014-March/031794.html
